Location read

get/Location/{id}
Page View

This resource contains information about a place where healthcare services are provided. This could be where services are rendered to a patient or even where medical supplies are stored.

You can only review location details.

Supported fields and schema examples

We support any valid FHIR® field. However, we only display fields we’ve defined in our schema, which are usually based on what’s included in the U.S. Core profile. We recommend relying on U.S. Core requirements.

Our schema examples show the shape and possibility of each FHIR® resource; they aren’t code for real-time API calls. We don’t currently recommend copying and pasting these schema examples for your API calls. Consider reviewing FHIR® API actions for realistic examples for particular use cases.

read

Review a specific Location resource with details about the location of healthcare services or supplies.

FHIR read

To use a read interaction, you must know the related resource ID, which you may not have in your real workflows. A read is likely only a follow-up option after receiving the specific resource in a recent FHIR® passthrough or data on demand exchange.

Typically, you should use the more flexible _search with query parameters, unless you're guaranteed to request data directly from a FHIR® server using the resource ID. Learn more about using FHIR® identifiers.

Request parameters

cURL request example

bash
1
curl 'https://api.redoxengine.com/fhir/R4/{destinationSlug}/{environmentFlag}/Location/{id}' \
2
--request GET \
3
--header 'Authorization: Bearer $API_TOKEN'

Request Parameters

  • id
    required, string

    Location identifier

Response fields and example

json
1
{}

    A profile on the location resource that conforms to Redox requirements.

  • resourceType
    required, string

    Identifies the type of the resource

    Value: Location
  • name
    string

    Name of the location as used by humans. Does not need to be unique.

  • type
    Array of object

    Indicates the type of function performed at the location.

    • text
      string

      A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user.

  • telecom
    Array of object

    The contact details of communication devices available at the location. This can include phone numbers, fax numbers, mobile numbers, email addresses and web sites.

    • system
      string

      Telecommunications form for contact point - what communications system is required to make use of the contact.

      Possible Values: phone, fax, email, pager, url, sms, other
    • value
      string

      The actual contact point details, in a form that is meaningful to the designated communication system (i.e. phone number or email address).

    • use
      string

      Identifies the purpose for the contact point.

      Possible Values: home, work, temp, old, mobile
  • address
    object

    Physical location.

    • use
      string

      The purpose of this address.

      Possible Values: home, work, temp, old, billing
    • line
      Array of string

      This component contains the house number, apartment number, street name, street direction, P.O. Box number, delivery hints, and similar address information.

    • city
      string

      The name of the city, town, suburb, village or other community or delivery center.

    • district
      string

      The name of the administrative area (county).

    • state
      string

      Sub-unit of a country with limited sovereignty in a federally organized country. A code may be used if codes are in common use (e.g. US 2 letter state codes).

    • postalCode
      string

      A postal code designating a region defined by the postal service.

    • country
      string

      Country - a nation as commonly understood or generally accepted.

  • physicalType
    object

    Physical form of the location, e.g. building, room, vehicle, road.

    • coding
      Array of object

      A reference to a code defined by a terminology system.

      • system
        string

        The identification of the code system that defines the meaning of the symbol in the code.

      • code
        string

        A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination).

    • text
      string

      A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user.

  • partOf
    object

    Another Location of which this Location is physically a part of.

    Must be a resource of type Location.

    • reference
      string

      A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with # and refers to a contained resource.

FHIR® is a registered trademark of Health Level Seven International (HL7) and is used with the permission of HL7. Use of this trademark does not constitute an endorsement of products/services by HL7®.